Toggle schedule
curl --request PUT \
--url https://api.hotglue.com/tenants/{env_id}/schedule \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"flows": [
"<string>"
],
"tenants": [
"<string>"
],
"expression": "<string>"
}
'import requests
url = "https://api.hotglue.com/tenants/{env_id}/schedule"
payload = {
"flows": ["<string>"],
"tenants": ["<string>"],
"expression": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({flows: ['<string>'], tenants: ['<string>'], expression: '<string>'})
};
fetch('https://api.hotglue.com/tenants/{env_id}/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"toggle": "enabled",
"updated": 1
}{}Manage Tenants
Toggle schedule
Disable, enable, and manage schedules across tenants in your environment
PUT
/
tenants
/
{env_id}
/
schedule
Toggle schedule
Authorizations
Path Parameters
ID of environment
Query Parameters
By default, the toggle endpoint only applies to tenants who already have (or had) schedules. Passing ?mode=upsert will apply schedules to tenants whether or not they currently have schedules
Available options:
upsert Body
application/json
Used to toggle all schedules in this environment
Available options:
enable, disable List of flow ids to apply this operation for
List of tenants to apply this operation for
Can be "default" to use the admin schedule or a cron expression. Will be applied for all tenants
⌘I